import request from '@/utils/request'

// 查询视频列表列表
export function listLzydVideoMaster(query) {
  return request({
    url: '/system/LzydVideoMaster/list',
    method: 'get',
    params: query
  })
}

// 查询视频列表详细
export function getLzydVideoMaster(id) {
  return request({
    url: '/system/LzydVideoMaster/' + id,
    method: 'get'
  })
}

// 新增视频列表
export function addLzydVideoMaster(data) {
  return request({
    url: '/system/LzydVideoMaster',
    method: 'post',
    data: data
  })
}

// 修改视频列表
export function updateLzydVideoMaster(data) {
  return request({
    url: '/system/LzydVideoMaster',
    method: 'put',
    data: data
  })
}

// 删除视频列表
export function delLzydVideoMaster(id) {
  return request({
    url: '/system/LzydVideoMaster/' + id,
    method: 'delete'
  })
}

// 导出视频列表
export function exportLzydVideoMaster(query) {
  return request({
    url: '/system/LzydVideoMaster/export',
    method: 'get',
    params: query
  })
}